package com.seostella.spring;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.mvc.support.RedirectAttributes;

@Controller
public class RedirectAttributesController {
	
	@RequestMapping(value = "/redirect.do", method = RequestMethod.GET)
	public String redirect( RedirectAttributes redirectAttributes ) {
		redirectAttributes.addFlashAttribute( "flashMessage", "Flash message");
		
		return "redirect:/destination";
	}
	
	@RequestMapping(value = "/destination", method = RequestMethod.GET)
	public String destination() {
		return "dest";
	}
	
}
